Skip to content

Get barcode

Request

Returns a single Barcode by its unique identifier.

Security
bearer
Path
siteIdnumberrequired

Site identifier

barcodeIdstringrequired

Barcode unique identifier (UUID)

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/barcode/{barcodeId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Barcode found

Bodyapplication/json
barcodeIdstringrequired

Canonical unique identifier for the barcode.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the barcode record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

forIdstringrequired

Identifier of the resource this barcode is associated with. Type depends on forType.

Example:"123e4567-e89b-12d3-a456-426614174000"
forTypestringrequired

Type of resource this barcode is associated with (e.g., item, batch, patient).

Example:"CODE-001"
formatstringrequired

Barcode symbology/format (e.g., CODE128, EAN13, QR).

Example:"CODE-001"
isActivebooleanrequired

Whether the barcode is currently active and usable.

Example:true
updatedAtstring, (date-time)required

Timestamp when the barcode record was last updated.

Example:"2025-01-01T00:00:00.000Z"
valuestringrequired

The encoded barcode value as a string.

Example:"CODE-001"
Response
{ "barcodeId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "forId": "123e4567-e89b-12d3-a456-426614174000", "forType": "CODE-001", "format": "CODE-001", "isActive": true, "updatedAt": "2025-01-01T00:00:00.000Z", "value": "CODE-001" }